import { Novu, ChannelTypeEnum } from '@novu/node';
const novu = new Novu('<NOVU_API_KEY>');
const params = {
page: 0, // optional
limit: 20, // optional
subscriberId: "subscriberId" //optional
channel: ChannelTypeEnum.EMAIL //optional
transactionIds : ["txnId1","txnId2"] //optional
}
await novu.messages.list(params);
use Novu\SDK\Novu;
$novu = new Novu("<NOVU_API_KEY>");
$novu->getMessages();
require 'novu'
client = Novu::Client.new('<NOVU_API_KEY>')
payload = {
'channel' => 'slack', # optional
'subscriberId' => '7789', # optional
'transactionId' =>'sw900999as', # optional
'page' => 4, # optional
'limit' => 10, # optional
}
client.messages(payload)
from novu.api import MessageApi
url = "https://api.novu.co"
api_key = "<NOVU_API_KEY>"
novu = MessageApi(url, api_key).list(
limit= "The number of messages to fetch, defaults to 10",
page= "The page to fetch, defaults to 0",
channel = "The channel for the messages you wish to list. Defaults to None.",
subscriber_id = "The subscriberId for the subscriber you like to list messages for",
)
import co.novu.sdk.Novu;
public class Main {
public static void main(String[] args) {
String apiKey = "<NOVU_API_KEY>";
Novu novu = new Novu(apiKey);
novu.messages(query = {});
}
}
{
hasMore: true,
data: [data],
pageSize: 0,
page: 0
}
Messages
List all messages
List all messages for the current environment. This API supports filtering by channel, subscriberId, and transactionId. This API returns a paginated list of messages.
GET
/
v1
/
messages
import { Novu, ChannelTypeEnum } from '@novu/node';
const novu = new Novu('<NOVU_API_KEY>');
const params = {
page: 0, // optional
limit: 20, // optional
subscriberId: "subscriberId" //optional
channel: ChannelTypeEnum.EMAIL //optional
transactionIds : ["txnId1","txnId2"] //optional
}
await novu.messages.list(params);
use Novu\SDK\Novu;
$novu = new Novu("<NOVU_API_KEY>");
$novu->getMessages();
require 'novu'
client = Novu::Client.new('<NOVU_API_KEY>')
payload = {
'channel' => 'slack', # optional
'subscriberId' => '7789', # optional
'transactionId' =>'sw900999as', # optional
'page' => 4, # optional
'limit' => 10, # optional
}
client.messages(payload)
from novu.api import MessageApi
url = "https://api.novu.co"
api_key = "<NOVU_API_KEY>"
novu = MessageApi(url, api_key).list(
limit= "The number of messages to fetch, defaults to 10",
page= "The page to fetch, defaults to 0",
channel = "The channel for the messages you wish to list. Defaults to None.",
subscriber_id = "The subscriberId for the subscriber you like to list messages for",
)
import co.novu.sdk.Novu;
public class Main {
public static void main(String[] args) {
String apiKey = "<NOVU_API_KEY>";
Novu novu = new Novu(apiKey);
novu.messages(query = {});
}
}
{
hasMore: true,
data: [data],
pageSize: 0,
page: 0
}
Enter your API key in the
Authorization field like the example shown below:E.g ApiKey 18d2e625f05d80eimport { Novu, ChannelTypeEnum } from '@novu/node';
const novu = new Novu('<NOVU_API_KEY>');
const params = {
page: 0, // optional
limit: 20, // optional
subscriberId: "subscriberId" //optional
channel: ChannelTypeEnum.EMAIL //optional
transactionIds : ["txnId1","txnId2"] //optional
}
await novu.messages.list(params);
use Novu\SDK\Novu;
$novu = new Novu("<NOVU_API_KEY>");
$novu->getMessages();
require 'novu'
client = Novu::Client.new('<NOVU_API_KEY>')
payload = {
'channel' => 'slack', # optional
'subscriberId' => '7789', # optional
'transactionId' =>'sw900999as', # optional
'page' => 4, # optional
'limit' => 10, # optional
}
client.messages(payload)
from novu.api import MessageApi
url = "https://api.novu.co"
api_key = "<NOVU_API_KEY>"
novu = MessageApi(url, api_key).list(
limit= "The number of messages to fetch, defaults to 10",
page= "The page to fetch, defaults to 0",
channel = "The channel for the messages you wish to list. Defaults to None.",
subscriber_id = "The subscriberId for the subscriber you like to list messages for",
)
import co.novu.sdk.Novu;
public class Main {
public static void main(String[] args) {
String apiKey = "<NOVU_API_KEY>";
Novu novu = new Novu(apiKey);
novu.messages(query = {});
}
}
{
hasMore: true,
data: [data],
pageSize: 0,
page: 0
}
Authorizations
API key authentication. Allowed headers-- "Authorization: ApiKey <api_key>".
Query Parameters
Available options:
in_app, email, sms, chat, push Was this page helpful?
⌘I